ROHTO BUGS - Support #1534

[ESS PMS] - Error posting PHRPA0051
08/30/2022 02:36 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 08/30/2022
Priority: Urgent Due date:

Assignee: Mr. Yusuf % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Pak Yusuf,

Mohon dibantu pak ada error ketika posting saat create form ESS PMS Goal Setting. Error yang muncul di RUNTASKASYNC adalah
proc_data_ PHRPAO0051-error on Create:Failed to convert parameter value from a String to a Decimal. -
MinovalS.MinovaES.Business.WorkFlow.
2623 6 2623  PMS_Goal MD_PMS_Goal proc_data PHRPADD7  apv_group_hr 300 apv_group_hr E U proc_data_PHRPADDS1-error on Field Posting: Task does not Exist - Minoval5.MinovaES.Business.WorkFlow
2625 4 2625 PMS_Review_3 MD_PMS_Review_3 cond_D52 apv_ds 400 apv_DS_donex E U proc_data_CPMSRESPONSIELE-error on Create:Viclation of PRIMARY KEY constraint 'PK_CPMSRESPOMSIE]
2648 6 2643 PMS_Goal MD_PMS_Goal CondUpdateHeaderSeq apv_group_hr 300 apv_group_hr E U proc_data PHRPADD51-error on Create:Failed to convert parameter value from a String to a Decimal. - Ming
2649 6 2640 PMS_Goal MD_PMS_Goal CondUpdateHeaderSeq apv_group_hr 300 apv_group_hr E U proc_data PHRPADD51-error on Create:Failed to convert parameter value from a String to a Decimal. - Ming

ReglID contoh: 2649

Port: http://remote.minovais.com:61121/
Login: fiona
DB: remote.minovais.com,1445 | MinovaES_Rohto_Prod

History

#1 - 08/30/2022 02:37 PM - Fiona Avangeline Jonathan
- Description updated

- Status changed from New to Assigned

#2 - 08/31/2022 09:31 AM - Mr. Yusuf
- File ROHTO_DB_FIELDPOST_PA51.xIsx added
Fiona Avangeline Jonathan wrote:
Pak Yusuf,
Mohon dibantu pak ada error ketika posting saat create form ESS PMS Goal Setting. Error yang muncul di RUNTASKASYNC adalah

proc_data_ PHRPAO0051-error on Create:Failed to convert parameter value from a String to a Decimal. -
MinovalS.MinovaES.Business.WorkFlow.
proc_data CPMSRESPOMSIBLE-Fields PrimaryKey : AppraisalType,HeaderSequence, Sequence - Minovals.M
proc_data_PHRPADO4E-error on Create:Violation of PRIMARY KEY constraint 'PK_PHRPADD4E". Cannot inser|
proc_data_PHRPADD51-error on Field Posting: Task does not Exist - MinovalS.MinovaES Business.WorkFlow
proc_data_CPMSRESPQMSIBLE-error on Create:Violation of PRIMARY KEY constraint 'PK_CPMSRESPOMSIB]
proc_data_PHRPADDS1-error on Field Posting: Task does not Exist - Minoval5.MinovakS Business WorkFlow
proc_data_PHRPADD49-error on Create:String or binary data would be truncated. The statement has been tef
proc_data_PHRPADD4B-error on Create:Violation of PRIMARY KEY constraint 'PK_PHRPADD4E'. Cannat inser|
proc_data_PHRPADD43-error on Create:Failed to convert parameter value from a String to a Decimal. - Ming
proc_data_PHRPADDS1-Fields mandatery : TargetProficiency, SelfLevel Appllevel App2level App3level Appll
proc_data_PHRPADD51-Fields mandatory : Appllevel - MinovalS.MinovaES Business.WorkFlow

proc_data_PHRPADDS1-error on Create:Failed to convert parameter value from a String to a Decimal. - Ming

proc_data_PHRPADDS1-error on Create:Failed to convert parameter value from a String to a Decimal, - Ming

Banyak mapping yg tidak cocok antara table DEFBIZDATA, FIELDPOST, PHRPA0051, dan PCMWFCUSTPARAM (ID=WFPMSDEFAULTQUALG).

#3 - 08/31/2022 09:31 AM - Mr. Yusuf
- Status changed from Assigned to QA Test

#4 - 08/31/2022 09:31 AM - Mr. Yusuf

- Assignee changed from Mr. Yusuf to Fiona Avangeline Jonathan

#5 - 09/02/2022 02:29 PM - Fiona Avangeline Jonathan
- File ROHTO_DB_FIELDPOST_PA51.xlsx added
- Status changed from QA Test to Assigned

- Assignee changed from Fiona Avangeline Jonathan to Mr. Yusuf

Pak Yusuf,

isu posting masih belum terselesaikan, masih ada error proc_data_ PHRPA0051-error on Create:Failed to convert parameter value from a String
to a Decimal. - MinovalS.MinovaES.Business.WorkFlow ketika posting . Saya sudah gunakan excel untuk mapping field2 saat posting namun

belum berhasil. Mohon dibantu pak.

Terima kasih.

#6 - 09/02/2022 02:49 PM - Mr. Yusuf
Fiona Avangeline Jonathan wrote in #note-5:

Pak Yusuf,

isu posting masih belum terselesaikan, masih ada error proc_data_ PHRPA0051-error on Create:Failed to convert parameter value from a
String to a Decimal. - MinovalS.MinovaES.Business.WorkFlow ketika posting . Saya sudah gunakan excel untuk mapping field2 saat

posting namun belum berhasil. Mohon dibantu pak.

Terima kasih.

RegID yang mana?

#7 - 09/02/2022 02:50 PM - Fiona Avangeline Jonathan
ReglD 2648 pak.

#8 - 09/02/2022 03:38 PM - Mr. Yusuf
- File Screenshot (172).png added
- File Screenshot (173).png added

Fiona Avangeline Jonathan wrote in #note-7:

ReglD 2648 pak.

Errornya : Cannot insert duplicate key in object 'dbo.PHRPA0051'. The duplicate key value is (00000058, G, 26, 24, 0).

Artinya ada key yg double saat masuk ke PA51.
Coba cek di runbizdata yg mau diposting ke PA51

SELECT TOP (200) ReglID, Sequence, BizProcessID, TableReference, FieldlD, DataSequence, Value

FROM PCMWFRUNBIZDATA

WHERE (ReglID = 2650) AND (Sequence = 4) AND (TableReference = 'PHRPA0051ESS') AND (FieldID IN ("HeaderSequence_51',

'Sequence_51', 'SequenceSub_51', 'AppraisalType_51"))
ORDER BY FieldID, DataSequence

Terlihat Sequence_51 isinya 24 semua, seharusnya kan 1,2,3 (urutan).

Setelah dicek ternyata saat create request Goal pertama kali saat mengambil list Qualification dari tabel OM8, data sequencenya jg isinya 24 semua.

Coba diubah sequence di OM8 nya dulu, terus request Ig

#9 - 09/02/2022 05:12 PM - Fiona Avangeline Jonathan
- Status changed from Assigned to Closed
Pak Yusuf,

PMS Goal Setting sudah berhasil terposting, terima kasih.

#10 - 09/23/2022 03:17 PM - Muhammad Bintar
Dear Pak Ucup,Azid dan fiona

Apa saja yang perlu di deploy untuk ke client??

saya sudah tes di kantor dan sudah bisa untuk mengajukan ess pms goal setting.
